GrailsConsoleBuildListener (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.logging
[Java] Class GrailsConsoleBuildListener

    java.lang.Object
      org.codehaus.groovy.grails.cli.logging.GrailsConsoleBuildListener

All Implemented Interfaces:
  org.apache.tools.ant.BuildListener

    public class GrailsConsoleBuildListener
    extends java.lang.Object

Mainly silences a lot of redundant Ant output.

Constructor Summary
`GrailsConsoleBuildListener()`
`GrailsConsoleBuildListener(GrailsConsole ui)`

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent finish)`
`void` | `buildStarted(org.apache.tools.ant.BuildEvent start)`
`void` | `messageLogged(org.apache.tools.ant.BuildEvent event)`
`void` | `targetFinished(org.apache.tools.ant.BuildEvent finish)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent start)`
`void` | `taskFinished(org.apache.tools.ant.BuildEvent finish)`
`void` | `taskStarted(org.apache.tools.ant.BuildEvent start)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsConsoleBuildListener

    public GrailsConsoleBuildListener()

### GrailsConsoleBuildListener

    public GrailsConsoleBuildListener(GrailsConsole ui)

Method Detail

### buildFinished

    public final void buildFinished(org.apache.tools.ant.BuildEvent finish)

  Signals that the last target has finished. This event will still be fired if an error occurred during the build.

  Parameters:
    `finish` - An event with any relevant extra information. Must not be `null`.
  See Also:
    org.apache.tools.ant.BuildEvent#getException()

### buildStarted

    public final void buildStarted(org.apache.tools.ant.BuildEvent start)

  Signals that a build has started. This event is fired before any targets have started.

  Parameters:
    `start` - An event with any relevant extra information. Must not be `null`.

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

### targetFinished

    public final void targetFinished(org.apache.tools.ant.BuildEvent finish)

  Signals that a target has finished. This event will still be fired if an error occurred during the build.

  Parameters:
    `finish` - An event with any relevant extra information. Must not be `null`.
  See Also:
    org.apache.tools.ant.BuildEvent#getException()

### targetStarted

    public final void targetStarted(org.apache.tools.ant.BuildEvent start)

  Signals that a target is starting.

  Parameters:
    `start` - An event with any relevant extra information. Must not be `null`.
  See Also:
    org.apache.tools.ant.BuildEvent#getTarget()

### taskFinished

    public final void taskFinished(org.apache.tools.ant.BuildEvent finish)

  Signals that a task has finished. This event will still be fired if an error occurred during the build.

  Parameters:
    `finish` - An event with any relevant extra information. Must not be `null`.
  See Also:
    org.apache.tools.ant.BuildEvent#getException()

### taskStarted

    public final void taskStarted(org.apache.tools.ant.BuildEvent start)

  Signals that a task is starting.

  Parameters:
    `start` - An event with any relevant extra information. Must not be `null`.
  See Also:
    org.apache.tools.ant.BuildEvent#getTask()

Groovy Documentation